Check IonCube Encoder version? How can I do this?

jols

Well-Known Member
Mar 13, 2004
1,107
3
168
Hi,

I have no problem checking the IonCube Loader version with php -v:

# php -v
PHP 5.4.26 (cli) (built: Mar 29 2014 21:32:55)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies
with the ionCube PHP Loader v4.4.1, Copyright (c) 2002-2013, by ionCube Ltd., and
with Zend Guard Loader v3.3, Copyright (c) 1998-2013, by Zend Technologies

BUT, how can I check the version of the ionCube Encoder on this server?

I've looked all over the place for this info, and it seems to just not be available. Is the ionCube Encoder version the same as the ionCube PHP Loader version?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello :)

Yes, Vanessa is correct. The encoder itself is a separate product that's documented here:

PHP Encoder - ionCube

Thank you.
 

MilesWeb

Well-Known Member
PartnerNOC
May 23, 2012
173
2
68
India
cPanel Access Level
Root Administrator
Twitter
Basically, encoder and loader are 2 different products. The one available by default with cPanel is a loader which comes for free. However, encoder is a paid version.